from marshmallow import Schema, fields, post_load, validates, ValidationError
class CustomerSchema(Schema):
    customer_name = fields.String(required=True)
    address = fields.String(required=False)
    logo = fields.String(required=False)
    logo_content_type = fields.String(required=False)
    email = fields.String(required=False)
    description = fields.String(required=False)
    status = fields.String(required=False)
    @validates("customer_name")
    def required_customer_name(self, value):
        if not value:
            raise ValidationError("The Customer Name field is required")
    @post_load
    def make_user(self, data, **kwargs):
        return data
customer_schema = CustomerSchema()
customers_schemas = CustomerSchema(many=True)